ScmDbType (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Enum ScmDbType

- java.lang.Object
- - java.lang.Enum<ScmDbType>
  - - com.cloudera.api.swagger.model.ScmDbType

- All Implemented Interfaces:
    Serializable, Comparable<ScmDbType>

      public enum ScmDbType
      extends Enum<ScmDbType>

  Enum for Cloudera Manager DB type. Note that DERBY and SQLITE3 are not supported DBs

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ScmDbType.Adapter`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DERBY`
    `HSQL`
    `MYSQL`
    `ORACLE`
    `POSTGRESQL`
    `SQLITE3`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ScmDbType` | `fromValue(String text)`
    `String` | `getValue()`
    `String` | `toString()`
    `static ScmDbType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ScmDbType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MYSQL

          public static final ScmDbType MYSQL

    - #### POSTGRESQL

          public static final ScmDbType POSTGRESQL

    - #### HSQL

          public static final ScmDbType HSQL

    - #### ORACLE

          public static final ScmDbType ORACLE

    - #### DERBY

          public static final ScmDbType DERBY

    - #### SQLITE3

          public static final ScmDbType SQLITE3

  - ### Method Detail

    - #### values

          public static ScmDbType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ScmDbType c : ScmDbType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ScmDbType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ScmDbType>`

    - #### fromValue

          public static ScmDbType fromValue(String text)

Copyright © 2022. All rights reserved.